/********************************************************************************
 Read and plot the lines from the first picture in a Word document
 ********************************************************************************/


filename  MyDrawin 'C:\DDRIVE\projects\sugs\sugi31\WordXML\sampleDocuments\MyDrawing.xml';
filename  SXLEMAP 'C:\DDRIVE\projects\sugs\sugi31\WordXML\XMLmaps\MyDrawing.map';
libname   MyDrawin xml xmlmap=SXLEMAP access=READONLY;


proc format;
invalue $wcolor
'#f90' = 'orange'
'blue' = 'blue'
;
run;



data MyAnno;
 set Mydrawin.line;
 where pictNum=1;
 length function style color $ 8;
 retain xsys ysys hsys '2' line 1;

 color=input(strokecolor,$wcolor.);
                                                  /*  native units are 1200/inch   */
                                                  /* stroke is in points (72/inch) */
 strokePattern = prxparse('/(\d+)(\D+)/'); 
 if prxmatch(strokePattern, strokeweight) then do;
   size=int(167*input(prxposn(strokePattern,1,strokeweight),10.));
   units=trim(prxposn(strokePattern,2,strokeweight))||' * 16.667';
 end;
 else put 'stroke weight not matched';
 drop xypattern strokePattern ;
  xyPattern = prxparse('/(\d+),(\d+)/'); 

 if prxmatch(xyPattern, from) then do;
   function='move';

   x= input(PRXPOSN (xyPattern, 1,  from),10.);  
   if prxmatch('/flip:y/',style) then 
     y= -1* input(PRXPOSN (xyPattern, 2,  to),10.); 
   else
     y= -1* input(PRXPOSN (xyPattern, 2,  from),10.);
   output;


   if prxmatch(xyPattern, to) then do;
     function='draw';
     x= input(PRXPOSN (xyPattern, 1,  to),10.);  
   if prxmatch('/flip:y/',style) then 
     y= -1* input(PRXPOSN (xyPattern, 2,  from),10.); 
   else
     y= -1* input(PRXPOSN (xyPattern, 2,  to),10.);	 output;
   end;
   
  end;    /* prxmatch on from  */ 

run;




proc ganno annotate=Myanno datasys;
run;
